<?php
/* 
 * post meta from
 * ====================================================
*/
$postmeta_from = array(
    "单栏" => array(
        "name" => "nosidebar",
        "std" => "",
        "type" => "checkbox",
        "title" => "单栏："),
    "推荐" => array(
        "name" => "down_recommend",
        "std" => "",
        "type" => "checkbox",
        "title" => "推荐："),
    "特殊" => array(
        "name" => "down_special",
        "std" => "在列表页会与众不同，更突出",
        "type" => "checkbox",
        "title" => "特殊："),
    "SEO标题" => array(
        "name" => "seo_title",
        "std" => "",
        "type" => "text",
        "title" => "SEO标题："),
    "SEO关键字" => array(
        "name" => "seo_keyword",
        "std" => "",
        "type" => "text",
        "title" => "SEO关键字："),
    "SEO描述" => array(
        "name" => "seo_description",
        "std" => "",
        "type" => "textarea",
        "title" => "SEO描述：")
);

function mobantu_postmeta_from() {
    global $post, $postmeta_from;
    foreach($postmeta_from as $meta_box) {
        $meta_box_value = get_post_meta($post->ID, $meta_box['name'], true);
        if($meta_box_value == "")
            $meta_box_value = $meta_box['std'];
        echo'<p><label style="width:10%;display:inline-block;vertical-align: top;">'.$meta_box['title'].'</label>';
        if($meta_box['type'] == 'checkbox'){
            echo '<input type="checkbox" value="1" name="'.$meta_box['name'].'" ';
            if ( htmlentities( $meta_box_value, 1 ) == '1' ) echo ' checked="checked"';
            echo '></p>';
        }elseif($meta_box['type'] == 'textarea'){
            echo '<textarea name="'.$meta_box['name'].'" style="width:70%" row="3">'.$meta_box_value.'</textarea></p>';
        }else{
            echo '<input type="text" value="'.$meta_box_value.'" name="'.$meta_box['name'].'" style="width:70%"></p>';
        }
    }
   
    echo '<input type="hidden" name="post_newmetaboxes_noncename" id="post_newmetaboxes_noncename" value="'.wp_create_nonce( plugin_basename(__FILE__) ).'" />';
}

function mobantu_create_meta_box() {
    global $theme_name;
    if ( function_exists('add_meta_box') ) {
        add_meta_box( 'new-meta-boxes', 'Modown属性', 'mobantu_postmeta_from', 'post', 'normal', 'high' );
    }
}

function mobantu_save_postdata( $post_id ) {
    global $postmeta_from;
    if(isset($_POST['post_newmetaboxes_noncename']))
        if ( !wp_verify_nonce( $_POST['post_newmetaboxes_noncename'], plugin_basename(__FILE__) ))
            return;
   
    if ( !current_user_can( 'edit_posts', $post_id ))
        return;
                   
    foreach($postmeta_from as $meta_box) {
    	if(isset($_POST[$meta_box['name']])){
	        $data = $_POST[$meta_box['name']];
	        if(get_post_meta($post_id, $meta_box['name']) == "")
	            add_post_meta($post_id, $meta_box['name'], $data, true);
	        elseif($data != get_post_meta($post_id, $meta_box['name'], true))
	            update_post_meta($post_id, $meta_box['name'], $data);
	        elseif($data == "")
	            delete_post_meta($post_id, $meta_box['name'], get_post_meta($post_id, $meta_box['name'], true));
	    }
    }
}

add_action('admin_menu', 'mobantu_create_meta_box');
add_action('save_post', 'mobantu_save_postdata');



add_filter( 'admin_post_thumbnail_html', 'MBThemes_thumbnail_url_field' );
add_action( 'save_post', 'MBThemes_thumbnail_url_field_save', 10, 2 );

function MBThemes_thumbnail_url_field( $html ) {
    global $post;
    $value = get_post_meta( $post->ID, '_thumbnail_ext_url', TRUE );
    $nonce = wp_create_nonce( plugin_basename(__FILE__) );
    $html .= '<input type="hidden" name="thumbnail_ext_url_nonce" value="' 
        . esc_attr( $nonce ) . '">';
    $html .= '<div><p>外链特色图片地址（留空即删除）：</p>';
    $html .= '<p><input type="url" name="thumbnail_ext_url" value="' . $value . '" style="width:100%"></p>';
    if ( ! empty($value) ) {
        $html .= '<p><img style="max-width:254px;height:auto;" src="' 
            . esc_url($value) . '"></p>';
    }
    $html .= '</div>';
    return $html;
}

function MBThemes_thumbnail_url_field_save( $pid, $post ) {
    $cap = $post->post_type === 'page' ? 'edit_page' : 'edit_post';
    if (
        ! current_user_can( $cap, $pid )
        || ! post_type_supports( $post->post_type, 'thumbnail' )
        || defined( 'DOING_AUTOSAVE' )
    ) {
        return;
    }

    if(isset($_POST['thumbnail_ext_url'])){
        $url = $_POST['thumbnail_ext_url'];
        update_post_meta( $pid, '_thumbnail_ext_url', esc_url($url) );
    }
}






function mbt_add_category_field(){  
    echo '<div class="form-field">  
            <label for="seo-title">SEO标题</label>  
            <input name="seo-title" id="seo-title" type="text" value="">
          </div>';
    echo '<div class="form-field">  
            <label for="seo-keyword">SEO关键字</label>  
            <input name="seo-keyword" id="seo-keyword" type="text" value="">
          </div>';
    echo '<div class="form-field">  
            <label for="seo-description">SEO描述</label>  
            <textarea name="seo-description" id="seo-description" row="5"></textarea>
          </div>';
    if($_GET['taxonomy'] == 'category'){
    echo '<div class="form-field">  
            <label for="tags">筛选标签</label>  
            <input name="tags" id="tags" type="text" value="" placeholder="1,3,6">  
            <p>需要筛选的标签ID列表，多个用半角英文逗号隔开</p>  
          </div>';       
          }                  
}  
add_action('category_add_form_fields','mbt_add_category_field',10,2); 
add_action('post_tag_add_form_fields','mbt_add_category_field',10,2);   
  

function mbt_edit_category_field($tag){  
    echo '<tr class="form-field">  
            <th scope="row"><label for="seo-title">SEO标题</label></th>  
            <td>  
                <input name="seo-title" id="seo-title" type="text" value="';  
                echo get_term_meta($tag->term_id,'seo-title',true).'" />
            </td>  
        </tr>';
    echo '<tr class="form-field">  
            <th scope="row"><label for="seo-keyword">SEO关键字</label></th>  
            <td>  
                <input name="seo-keyword" id="seo-keyword" type="text" value="';  
                echo get_term_meta($tag->term_id,'seo-keyword',true).'" />
            </td>  
        </tr>';
    echo '<tr class="form-field">  
            <th scope="row"><label for="seo-description">SEO描述</label></th>  
            <td>  
                <textarea name="seo-description" id="seo-description" row="5">';  
                echo get_term_meta($tag->term_id,'seo-description',true).'</textarea>
            </td>  
        </tr>';
    if($_GET['taxonomy'] == 'category'){
    echo '<tr class="form-field">  
            <th scope="row"><label for="tags">筛选标签</label></th>  
            <td>  
                <input name="tags" id="tags" type="text" value="';  
                echo get_term_meta($tag->term_id,'tags',true).'" /><br>  
                <span class="cat-color">'.$tag->name.' 的需要筛选的标签ID列表，多个用半角英文逗号隔开</span>  
            </td>  
        </tr>'; 
        }          
}  
add_action('category_edit_form_fields','mbt_edit_category_field',10,2);  
add_action('post_tag_edit_form_fields','mbt_edit_category_field',10,2);
  
 
function mbt_taxonomy_metadate_edited($term_id){  
    if(!current_user_can('manage_categories')){  
        return $term_id;  
    }  
    update_term_meta($term_id,'seo-title',$_POST['seo-title']);
    update_term_meta($term_id,'seo-keyword',$_POST['seo-keyword']);
    update_term_meta($term_id,'seo-description',$_POST['seo-description']);
    if(isset($_POST['tags']))
        update_term_meta($term_id,'tags',$_POST['tags']);    

} 

function mbt_taxonomy_metadate_created($term_id){  
    if(!current_user_can('manage_categories')){  
        return $term_id;  
    }  
    add_term_meta($term_id,'seo-title',$_POST['seo-title']);
    add_term_meta($term_id,'seo-keyword',$_POST['seo-keyword']);
    add_term_meta($term_id,'seo-description',$_POST['seo-description']);
    if(isset($_POST['tags']))
        add_term_meta($term_id,'tags',$_POST['tags']);    

}  
  
add_action('created_category','mbt_taxonomy_metadate_created',10,1);  
add_action('edited_category','mbt_taxonomy_metadate_edited',10,1); 
add_action('created_post_tag','mbt_taxonomy_metadate_created',10,1);  
add_action('edited_post_tag','mbt_taxonomy_metadate_edited',10,1); 