<?php

/**
 * A unique identifier is defined to store the options in the database and reference them from the mobantu.com theme.
 */
function optionsframework_option_name() {
	//不要更改，否则主题无法使用
	return 'Modown';
}


/**
 * Defines an array of options that will be used to generate the settings page and be saved in the database.
 * When creating the 'id' fields, make sure to use all lowercase and no spaces.
 *
 * If you are making your theme translatable, you should replace 'theme-textdomain'
 * with the actual text domain for your theme.  Read more:
 * http://codex.wordpress.org/Function_Reference/load_theme_textdomain
 */

function optionsframework_options() {

	// Multicheck Defaults
	$multicheck_defaults = array(
		'one' => '1',
		'five' => '1'
	);

	// Background Defaults
	$background_defaults = array(
		'color' => '',
		'image' => '',
		'repeat' => 'repeat',
		'position' => 'top center',
		'attachment'=>'scroll' );

	// Typography Defaults
	$typography_defaults = array(
		'face' => 'yahei',
		'style' => 'normal',
		'color' => '#383121' );
		
	$typography_content = array(
		'size' => '13px',
		'face' => 'yahei',
		'style' => 'normal',
		'color' => '#000000' );
		
	// Typography Options
	$typography_options = array(
		'sizes' => false
	);

	// Pull all the categories into an array
	$options_categories = array();
	$options_categories_obj = get_categories();
	foreach ($options_categories_obj as $category) {
		$options_categories[$category->cat_ID] = $category->cat_name;
	}

	// Pull all the pages into an array
	$options_pages = array();
	$options_pages_obj = get_pages('sort_column=post_parent,menu_order');
	// $options_pages[''] = 'Select a page:';
	foreach ($options_pages_obj as $page) {
		$options_pages[$page->ID] = $page->post_title;
	}


	$adsdesc =  '可添加广告联盟代码或自定义代码';
	$qrcode = get_stylesheet_directory_uri() . '/static/img/qrcode.png';
	$logo = get_stylesheet_directory_uri() . '/static/img/logo.png';
	$favicon = get_stylesheet_directory_uri() . '/static/img/favicon.ico';

$options = array();
$options[] = array(
    'name' => '基本',
    'type' => 'heading'
  );
$options[] = array(
    'name' => 'Favicon图标',
    'id' => 'favicon',
    'desc' => '',
    'std' => 'http://demo.mobantu.com/modown/wp-content/themes/modown/static/img/favicon.ico',
    'type' => 'upload'
  );
$options[] = array(
    'name' => 'Logo',
    'id' => 'logo',
    'desc' => '建议尺寸：70*70px 建议格式：png',
    'std' => 'http://demo.mobantu.com/modown/wp-content/themes/modown/static/img/logo.png',
    'type' => 'upload'
  );
$options[] = array(
    'name' => 'Logo宽度',
    'id' => 'logo_width',
    'type' => 'text',
    'std' => '70',
    'desc' => '像素，请根据LOGO大小的比例来，高度是70，建议不要设置超过180'
  );
$options[] = array(
    'name' => 'Logo手机端宽度',
    'id' => 'logo_width_wap',
    'type' => 'text',
    'std' => '60',
    'desc' => '像素，请根据LOGO大小的比例来，高度是60，建议不要设置超过180'
  );
$options[] = array(
    'name' => '客服QQ链接',
    'id' => 'kefu_qq',
    'type' => 'text',
    'std' => '',
    'desc' => 'http://wpa.qq.com/msgrd?v=3&uin=470000334&site=qq&menu=yes'
  );
$options[] = array(
    'name' => '客服微信二维码',
    'id' => 'kefu_weixin',
    'desc' => '',
    'std' => 'http://demo.mobantu.com/modown/wp-content/themes/modown/static/img/qrcode.png',
    'type' => 'upload'
  );
$options[] = array(
    'name' => '上传文件重命名',
    'id' => 'file_rename',
    'type' => 'checkbox',
    'std'=> false,
    'desc' => '开启（该功能会针对上传的文件和图片重命名，如：09075549994.jpg）'
  );
$options[] = array(
    'name' => '投稿上传图片',
    'id' => 'tougao_upload',
    'type' => 'checkbox',
    'std'=> false,
    'desc' => '开启（前端投稿页面支持上传图片）'
  );
$options[] = array(
    'name' => '文章列表自动加载',
    'id' => 'ajax_list_load',
    'type' => 'checkbox',
    'std'=> true,
    'desc' => '开启'
  );
$options[] = array(
    'name' => '图片延迟加载',
    'id' => 'lazyload',
    'type' => 'checkbox',
    'std'=> false,
    'desc' => '开启 （文章列表图片延迟加载，给网站提速）'
  );
$options[] = array(
    'name' => '瀑布流模式',
    'id' => 'waterfall',
    'type' => 'checkbox',
    'std'=> false,
    'desc' => '开启 （建议也同时开启 文章列表自动加载）'
  );
$options[] = array(
    'name' => '友情链接',
    'id' => 'friendlink',
    'type' => 'checkbox',
    'std'=> false,
    'desc' => '开启'
  );
$options[] = array(
    'name' => '缩略图自动剪切',
    'id' => 'timthumb',
    'type' => 'checkbox',
    'std'=> false,
    'desc' => '开启（需要wp-content目录有可写入权限，会生成一个cache文件夹，若发现启用后无法显示图片，请检查wp-content/cache目录权限，可设置成777）'
  );
$options[] = array(
    'name' => '博客类型名称',
    'id' => 'blog_name',
    'type' => 'text',
    'std' => '源码社',
    'desc' => '例如：源码社 www.nicedowns.com'
  );
$options[] = array(
    'name' => '博客介绍',
    'id' => 'blog_desc',
    'type' => 'text',
    'std' => '源码社 精品商业源码下载www.nicedowns.com',
    'desc' => '例如：源码社 www.nicedowns.com'
  );
$options[] = array(
    'name' => '页头',
    'type' => 'heading'
  );
$options[] = array(
    'name' => '全宽',
    'id' => 'header_fullwidth',
    'type' => 'checkbox',
    'std'=> false,
    'desc' => '开启（顶部LOGO菜单栏部分全宽）'
  );
$options[] = array(
    'name' => '背景色',
    'id' => 'header_type',
    'desc' => '',
    'options' => array(
      'default' => '默认（首页与列表页会透明显示，其他页为白色背景）',
      'light' => '白色背景',
      'dark' => '黑色背景'
    ),
    'std' => 'default',
    'type' => 'radio'
  );
$options[] = array(
    'name' => 'VIP按钮',
    'id' => 'header_vip',
    'type' => 'checkbox',
    'std'=> false,
    'desc' => '开启'
  );
$options[] = array(
    'name' => 'VIP手机端按钮',
    'id' => 'header_vip_wap',
    'type' => 'checkbox',
    'std'=> false,
    'desc' => '隐藏'
  );
$options[] = array(
    'name' => '投稿按钮',
    'id' => 'header_tougao',
    'type' => 'checkbox',
    'std'=> false,
    'desc' => '开启'
  );
$options[] = array(
    'name' => '页脚',
    'type' => 'heading'
  );
$options[] = array(
    'name' => '底部版权',
    'desc' => '可加html标签',
    'id' => 'copyright',
    'std' => '',
    'type' => 'textarea'
  );
$options[] = array(
    'name' => '网站统计代码',
    'desc' => '位于底部，会被隐藏，但不影响统计效果',
    'id' => 'analysis',
    'std' => '',
    'type' => 'textarea'
  );
$options[] = array(
    'name' => '自定义底部代码',
    'desc' => '位于&lt;/body&gt;之前，若是js代码需添加&lt;script&gt;标签',
    'id' => 'js',
    'std' => '',
    'type' => 'textarea'
  );
$options[] = array(
    'name' => '首页',
    'type' => 'heading'
  );
$options[] = array(
    'name' => '关键字(keywords)',
    'id' => 'keywords',
    'std' => 'mobantu,源码社,wordpress主题定制',
    'desc' => '关键字有利于SEO优化，建议个数在5-10之间，用英文逗号隔开',
    'settings' => array(
      'rows'=> 4
    ),
    'type' => 'textarea'
  );
$options[] = array(
    'name' => '描述(description)',
    'id' => 'description',
    'std' => '模板兔，专业提供wordpress主题定制开发服务',
    'desc' => '描述有利于SEO优化，建议字数在30-70之间',
    'settings' => array(
      'rows'=> 4
    ),
    'type' => 'textarea'
  );
$options[] = array(
    'name' => '排除分类',
    'id' => 'home_cats_exclude',
    'type' => 'text',
    'std' => '',
    'desc' => '（首页的最新文章里不显示这些分类的文章，多个用半角英文逗号隔开）'
  );
$options[] = array(
    'name' => '分类菜单',
    'id' => 'home_cat',
    'type' => 'checkbox',
    'std'=> false,
    'desc' => '显示（仅对默认首页有效）'
  );
$options[] = array(
    'name' => 'banner',
    'id' => 'banner',
    'type' => 'checkbox',
    'std'=> false,
    'desc' => '开启（banner与幻灯片只会显示一个）'
  );
$options[] = array(
    'name' => 'banner搜索',
    'id' => 'banner_search',
    'type' => 'checkbox',
    'std'=> false,
    'desc' => '开启（开启搜索后不会显示描述与按钮）'
  );
$options[] = array(
    'name' => 'banner搜索分类',
    'id' => 'banner_cats',
    'type' => 'text',
    'std' => '',
    'desc' => '分类ID列表，例如：1,3,8'
  );
$options[] = array(
    'name' => 'banner图片',
    'id' => 'banner_img',
    'type' => 'upload',
    'std' => '',
    'desc' => '已做灰度处理，请上传一张高380px的图片，repeat-x模式'
  );
$options[] = array(
    'name' => 'banner标题',
    'id' => 'banner_title',
    'type' => 'text',
    'std' => '源码社',
    'desc' => ''
  );
$options[] = array(
    'name' => 'banner描述',
    'id' => 'banner_desc',
    'type' => 'text',
    'std' => '国内最专业的wordpress建站仿站、二次开发、主题插件定制服务商！',
    'desc' => ''
  );
$options[] = array(
    'name' => 'banner按钮',
    'id' => 'banner_btn',
    'type' => 'text',
    'std' => '查看详情',
    'desc' => ''
  );
$options[] = array(
    'name' => 'banner链接',
    'id' => 'banner_link',
    'type' => 'text',
    'std' => 'http://www.nicedowns.com',
    'desc' => ''
  );
$options[] = array(
    'name' => '幻灯片',
    'id' => 'slider',
    'type' => 'checkbox',
    'std'=> false,
    'desc' => '开启（banner与幻灯片只会显示一个）'
  );
$options[] = array(
    'name' => '幻灯片标题1',
    'id' => 'slider_title1',
    'type' => 'text'
  );
$options[] = array(
    'name' => '幻灯片描述1',
    'id' => 'slider_desc1',
    'type' => 'text'
  );
$options[] = array(
    'name' => '幻灯片按钮1',
    'id' => 'slider_btn1',
    'type' => 'text'
  );
$options[] = array(
    'name' => '幻灯片链接1',
    'id' => 'slider_link1',
    'type' => 'text'
  );
$options[] = array(
    'name' => '幻灯片图片1',
    'id' => 'slider_img1',
    'desc' => '建议图片尺寸为：1920*380',
    'type' => 'upload'
  );
$options[] = array(
    'name' => '幻灯片标题2',
    'id' => 'slider_title2',
    'type' => 'text'
  );
$options[] = array(
    'name' => '幻灯片描述2',
    'id' => 'slider_desc2',
    'type' => 'text'
  );
$options[] = array(
    'name' => '幻灯片按钮2',
    'id' => 'slider_btn2',
    'type' => 'text'
  );
$options[] = array(
    'name' => '幻灯片链接2',
    'id' => 'slider_link2',
    'type' => 'text'
  );
$options[] = array(
    'name' => '幻灯片图片2',
    'id' => 'slider_img2',
    'desc' => '建议图片尺寸为：1920*380',
    'type' => 'upload'
  );
$options[] = array(
    'name' => '幻灯片标题3',
    'id' => 'slider_title3',
    'type' => 'text'
  );
$options[] = array(
    'name' => '幻灯片描述3',
    'id' => 'slider_desc3',
    'type' => 'text'
  );
$options[] = array(
    'name' => '幻灯片按钮3',
    'id' => 'slider_btn3',
    'type' => 'text'
  );
$options[] = array(
    'name' => '幻灯片链接3',
    'id' => 'slider_link3',
    'type' => 'text'
  );
$options[] = array(
    'name' => '幻灯片图片3',
    'id' => 'slider_img3',
    'desc' => '建议图片尺寸为：1920*380',
    'type' => 'upload'
  );
$options[] = array(
    'name' => '幻灯片标题4',
    'id' => 'slider_title4',
    'type' => 'text'
  );
$options[] = array(
    'name' => '幻灯片描述4',
    'id' => 'slider_desc4',
    'type' => 'text'
  );
$options[] = array(
    'name' => '幻灯片按钮4',
    'id' => 'slider_btn4',
    'type' => 'text'
  );
$options[] = array(
    'name' => '幻灯片链接4',
    'id' => 'slider_link4',
    'type' => 'text'
  );
$options[] = array(
    'name' => '幻灯片图片4',
    'id' => 'slider_img4',
    'desc' => '建议图片尺寸为：1920*380',
    'type' => 'upload'
  );
$options[] = array(
    'name' => '幻灯片标题5',
    'id' => 'slider_title5',
    'type' => 'text'
  );
$options[] = array(
    'name' => '幻灯片描述5',
    'id' => 'slider_desc5',
    'type' => 'text'
  );
$options[] = array(
    'name' => '幻灯片按钮5',
    'id' => 'slider_btn5',
    'type' => 'text'
  );
$options[] = array(
    'name' => '幻灯片链接5',
    'id' => 'slider_link5',
    'type' => 'text'
  );
$options[] = array(
    'name' => '幻灯片图片5',
    'id' => 'slider_img5',
    'desc' => '建议图片尺寸为：1920*380',
    'type' => 'upload'
  );
$options[] = array(
    'name' => '博客',
    'id' => 'home_blog',
    'type' => 'checkbox',
    'std'=> false,
    'desc' => '显示（首页底部显示博客类型文章）'
  );
$options[] = array(
    'name' => '博客个数',
    'id' => 'home_blog_num',
    'type' => 'text',
    'std' => '6',
    'desc' => ''
  );
$options[] = array(
    'name' => 'VIP页面',
    'type' => 'heading'
  );
$options[] = array(
    'name' => '描述',
    'id' => 'vip_desc',
    'std' => '<p>升级VIP，享受更好的下载体验！源码社 www.nicedowns.com</p>',
    'settings' => array(
      'rows'=> 6
    ),
    'type' => 'textarea'
  );
$options[] = array(
    'name' => '包月VIP权限',
    'id' => 'vip_month',
    'std' => '<ul><li>部分资源免费</li><li>部分资源折扣</li></ul>',
    'settings' => array(
      'rows'=> 6
    ),
    'type' => 'textarea'
  );
$options[] = array(
    'name' => '包季VIP权限',
    'id' => 'vip_quarter',
    'std' => '<ul><li>部分资源免费</li><li>部分资源折扣</li></ul>',
    'settings' => array(
      'rows'=> 6
    ),
    'type' => 'textarea'
  );
$options[] = array(
    'name' => '包年VIP权限',
    'id' => 'vip_year',
    'std' => '<ul><li>部分资源免费</li><li>部分资源折扣</li></ul>',
    'settings' => array(
      'rows'=> 6
    ),
    'type' => 'textarea'
  );
$options[] = array(
    'name' => '终身VIP权限',
    'id' => 'vip_life',
    'std' => '<ul><li>部分资源免费</li><li>部分资源折扣</li></ul>',
    'settings' => array(
      'rows'=> 6
    ),
    'type' => 'textarea'
  );
$options[] = array(
    'name' => '文章',
    'type' => 'heading'
  );
$options[] = array(
    'name' => '列表页banner图片',
    'id' => 'banner_archive_img',
    'type' => 'upload',
    'std' => '',
    'desc' => '已做灰度处理，请上传一张高180px的图片，repeat-x模式'
  );
$options[] = array(
    'name' => '搜索筛选',
    'id' => 'filter_search',
    'type' => 'checkbox',
    'std'=> false,
    'desc' => '开启（收费/免费筛选）'
  );
$options[] = array(
    'name' => '分类筛选',
    'id' => 'filter',
    'type' => 'checkbox',
    'std'=> false,
    'desc' => '开启（分类页标签/排序筛选）'
  );
$options[] = array(
    'name' => '筛选分类IDs',
    'desc' => '输入分类ID列表，多个用英文半角逗号隔开（此次的筛选用于 最新发布 页面模板，请输入一级分类IDs，如果分类下有二级子分类，会出现二级分类筛选，二级分类可筛选三级分类，最多三级。）',
    'id' => 'filter_cats',
    'std' => '',
    'type' => 'text'
  );
$options[] = array(
    'name' => '筛选标签IDs',
    'desc' => '输入标签ID列表，多个用英文半角逗号隔开',
    'id' => 'filter_tags',
    'std' => '',
    'type' => 'text'
  );
$options[] = array(
    'name' => '筛选标题一',
    'desc' => '分类筛选自定义标题',
    'id' => 'filter_cats_title1',
    'std' => '分类',
    'type' => 'text'
  );
$options[] = array(
    'name' => '筛选标题二',
    'desc' => '二级分类筛选自定义标题',
    'id' => 'filter_cats_title2',
    'std' => '二级分类',
    'type' => 'text'
  );
$options[] = array(
    'name' => '筛选标题三',
    'desc' => '三级分类筛选自定义标题',
    'id' => 'filter_cats_title3',
    'std' => '三级分类',
    'type' => 'text'
  );
$options[] = array(
    'name' => '筛选标题四',
    'desc' => '标签筛选自定义标题',
    'id' => 'filter_cats_title4',
    'std' => '标签',
    'type' => 'text'
  );
$options[] = array(
    'name' => '文章日期',
    'id' => 'post_date',
    'desc' => '显示',
    'std'=> false,
    'type' => 'checkbox'
  );
$options[] = array(
    'name' => '文章阅读数',
    'id' => 'post_views',
    'desc' => '显示',
    'std'=> true,
    'type' => 'checkbox'
  );
$options[] = array(
    'name' => '文章评论数',
    'id' => 'post_comments',
    'desc' => '显示',
    'std'=> false,
    'type' => 'checkbox'
  );
$options[] = array(
    'name' => '文章下载数',
    'id' => 'post_downloads',
    'desc' => '开启',
    'std'=> true,
    'type' => 'checkbox'
  );
$options[] = array(
    'name' => '下载框位置',
    'id' => 'down_position',
    'desc' => '',
    'options' => array(
      'side' => '边栏',
      'top' => '内容上',
      'bottom' => '内容下',
      'sidetop' => '边栏与内容上',
      'sidebottom' => '边栏与内容下'
    ),
    'std' => 'side',
    'type' => 'radio'
  );
$options[] = array(
    'name' => '文章标签',
    'id' => 'post_tags',
    'desc' => '开启',
    'std'=> true,
    'type' => 'checkbox'
  );
$options[] = array(
    'name' => '文章收藏',
    'id' => 'post_collect',
    'desc' => '开启',
    'std'=> false,
    'type' => 'checkbox'
  );
$options[] = array(
    'name' => '文章点赞',
    'id' => 'post_zan',
    'desc' => '开启',
    'std'=> true,
    'type' => 'checkbox'
  );
$options[] = array(
    'name' => '分享',
    'id' => 'post_share',
    'desc' => '开启',
    'std'=> true,
    'type' => 'checkbox'
  );
$options[] = array(
    'name' => '上一篇和下一篇文章',
    'id' => 'post_nav',
    'desc' => '开启',
    'std'=> true,
    'type' => 'checkbox'
  );
$options[] = array(
    'name' => '相关文章',
    'id' => 'post_related',
    'type' => 'checkbox',
    'std'=> true,
    'desc' => '开启'
  );
$options[] = array(
    'name' => '相关标题',
    'desc' => '',
    'id' => 'post_related_title',
    'std' => '猜你喜欢',
    'type' => 'text'
  );
$options[] = array(
    'name' => '相关数量',
    'desc' => '显示相关文章的数量',
    'id' => 'post_related_num',
    'std' => '6',
    'type' => 'text'
  );
$options[] = array(
    'name' => '价格显示',
    'id' => 'post_price',
    'type' => 'checkbox',
    'std'=> false,
    'desc' => '隐藏（列表页item的价格）'
  );
$options[] = array(
    'name' => '评论显示已购买',
    'id' => 'post_comment_bought',
    'type' => 'checkbox',
    'std'=> true,
    'desc' => '开启'
  );
$options[] = array(
    'name' => '用户中心',
    'type' => 'heading'
  );
$options[] = array(
    'name' => '充值固定金额',
    'id' => 'recharge_price_s',
    'type' => 'checkbox',
    'std'=> false,
    'desc' => '开启'
  );
$options[] = array(
    'name' => '固定金额',
    'id' => 'recharge_price',
    'type' => 'text',
    'std' => '1,5,10,50,100',
    'desc' => '输入价格，多个用半角英文逗号隔开，例如：1,5,10,50,100'
  );
$options[] = array(
    'name' => '充值说明',
    'desc' => '用户中心在线充值按钮下面的说明，可加html标签',
    'id' => 'user_charge_tips',
    'std' => '',
    'type' => 'textarea'
  );
$options[] = array(
    'name' => '每日签到',
    'id' => 'checkin',
    'type' => 'checkbox',
    'std'=> false,
    'desc' => '开启'
  );
$options[] = array(
    'name' => '签到奖励',
    'id' => 'checkin_gift',
    'type' => 'text',
    'std' => '0',
    'desc' => '输入一个数字，赠送erphpdown插件的货币'
  );
$options[] = array(
    'name' => '提现',
    'id' => 'withdraw',
    'type' => 'checkbox',
    'std'=> false,
    'desc' => '开启'
  );
$options[] = array(
    'name' => '工单',
    'id' => 'ticket',
    'type' => 'checkbox',
    'std'=> false,
    'desc' => '开启（此功能为收费扩展功能，如需要请联系QQ82708210）'
  );
$options[] = array(
    'name' => '工单图片上传',
    'id' => 'ticket_img',
    'type' => 'checkbox',
    'std'=> false,
    'desc' => '开启'
  );
$options[] = array(
    'name' => '登录',
    'type' => 'heading'
  );
$options[] = array(
    'name' => '登录Logo',
    'id' => 'logo_login',
    'desc' => '建议尺寸：100*100px 格式：png',
    'std' => 'http://demo.mobantu.com/modown/wp-content/themes/modown/static/img/logo.png',
    'type' => 'upload'
  );
$options[] = array(
    'name' => '注册验证码',
    'id' => 'captcha',
    'desc' => '',
    'options' => array(
      'none' => '无',
      'image' => '图形验证码',
      'email' => '邮件验证码'
    ),
    'std' => 'none',
    'type' => 'radio'
  );
$options[] = array(
    'name' => 'QQ登录',
    'id' => 'oauth_qq',
    'type' => 'checkbox',
    'std'=> false,
    'desc' => '开启（接口申请：https://connect.qq.com）'
  );
$options[] = array(
    'name' => 'qq id',
    'id' => 'oauth_qqid',
    'type' => 'text',
    'std' => '',
    'desc' => ''
  );
$options[] = array(
    'name' => 'qq key',
    'id' => 'oauth_qqkey',
    'type' => 'text',
    'std' => '',
    'desc' => ''
  );
$options[] = array(
    'name' => '微博登录',
    'id' => 'oauth_weibo',
    'type' => 'checkbox',
    'std'=> false,
    'desc' => '开启（接口申请：https://open.weibo.com）'
  );
$options[] = array(
    'name' => 'weibo id',
    'id' => 'oauth_weiboid',
    'type' => 'text',
    'std' => '',
    'desc' => ''
  );
$options[] = array(
    'name' => 'weibo key',
    'id' => 'oauth_weibokey',
    'type' => 'text',
    'std' => '',
    'desc' => ''
  );
$options[] = array(
    'name' => '微信登录',
    'id' => 'oauth_weixin',
    'type' => 'checkbox',
    'std'=> false,
    'desc' => '开启（接口申请：https://open.weixin.qq.com）'
  );
$options[] = array(
    'name' => 'weixin id',
    'id' => 'oauth_weixinid',
    'type' => 'text',
    'std' => '',
    'desc' => ''
  );
$options[] = array(
    'name' => 'weixin srcret',
    'id' => 'oauth_weixinkey',
    'type' => 'text',
    'std' => '',
    'desc' => ''
  );
$options[] = array(
    'name' => '样式',
    'type' => 'heading'
  );
$options[] = array(
    'name' => '主题风格',
    'desc' => '13种颜色供选择，点击选择你喜欢的颜色，保存后前端展示会有所改变。',
    'id' => 'theme_color',
    'std' => '#1d1d1d',
    'type' => 'colorradio',
    'options' => array(
      '#1d1d1d'=> 1,
      '#2CDB87'=> 2,
      '#00D6AC'=> 3,
      '#FF6651'=> 4,
      '#EA84FF'=> 5,
      '#FDAC5F'=> 6,
      '#FD77B2'=> 7,
      '#76BDFF'=> 8,
      '#C38CFF'=> 9,
      '#FF926F'=> 10,
      '#8AC78F'=> 11,
      '#C7C183'=> 12,
      '#1E88E5'=> 13
    )
  );
$options[] = array(
    'id' => 'theme_color_custom',
    'std' => '',
    'desc' => '不喜欢上面提供的颜色，你好可以在这里自定义设置，如果不用自定义颜色清空即可（默认不用自定义）',
    'type' => 'color'
  );
$options[] = array(
    'name' => '文章列表列数',
    'id' => 'list_column',
    'desc' => '最大可显示的列数',
    'options' => array(
      'four' => '4列',
      'five' => '5列'
    ),
    'std' => 'four',
    'type' => 'radio'
  );
$options[] = array(
    'name' => '缩略图图片高度',
    'desc' => '文章列表的图片高度，单位px，输入一个数字即可，默认180，如果是正方形，请填285',
    'id' => 'timthumb_height',
    'std' => '',
    'type' => 'text'
  );
$options[] = array(
    'name' => '自定义CSS样式',
    'desc' => '位于&lt;/head&gt;之前，直接写样式代码，不用添加&lt;style&gt;标签',
    'id' => 'css',
    'std' => '',
    'type' => 'textarea'
  );
$options[] = array(
    'name' => '广告位',
    'type' => 'heading'
  );
$options[] = array(
    'name' => '首页banner下',
    'id' => 'ad_banner_footer_s',
    'std'=> false,
    'desc' => '开启',
    'type' => 'checkbox'
  );
$options[] = array(
    'desc' => '可添加广告联盟代码或自定义代码',
    'id' => 'ad_banner_footer',
    'std' => '',
    'settings' => array(
      'rows'=> 6
    ),
    'type' => 'textarea'
  );
$options[] = array(
    'name' => '首页下',
    'id' => 'ad_home_footer_s',
    'std'=> false,
    'desc' => '开启',
    'type' => 'checkbox'
  );
$options[] = array(
    'desc' => '可添加广告联盟代码或自定义代码',
    'id' => 'ad_home_footer',
    'std' => '',
    'settings' => array(
      'rows'=> 6
    ),
    'type' => 'textarea'
  );
$options[] = array(
    'name' => '列表上',
    'id' => 'ad_list_header_s',
    'std'=> false,
    'desc' => '开启',
    'type' => 'checkbox'
  );
$options[] = array(
    'desc' => '可添加广告联盟代码或自定义代码',
    'id' => 'ad_list_header',
    'std' => '',
    'settings' => array(
      'rows'=> 6
    ),
    'type' => 'textarea'
  );
$options[] = array(
    'name' => '列表下',
    'id' => 'ad_list_footer_s',
    'std'=> false,
    'desc' => '开启',
    'type' => 'checkbox'
  );
$options[] = array(
    'desc' => '可添加广告联盟代码或自定义代码',
    'id' => 'ad_list_footer',
    'std' => '',
    'settings' => array(
      'rows'=> 6
    ),
    'type' => 'textarea'
  );
$options[] = array(
    'name' => '文章内容上',
    'id' => 'ad_post_header_s',
    'std'=> false,
    'desc' => '开启',
    'type' => 'checkbox'
  );
$options[] = array(
    'desc' => '可添加广告联盟代码或自定义代码',
    'id' => 'ad_post_header',
    'std' => '',
    'settings' => array(
      'rows'=> 6
    ),
    'type' => 'textarea'
  );
$options[] = array(
    'name' => '文章内容下',
    'id' => 'ad_post_footer_s',
    'std'=> false,
    'desc' => '开启',
    'type' => 'checkbox'
  );
$options[] = array(
    'desc' => '可添加广告联盟代码或自定义代码',
    'id' => 'ad_post_footer',
    'std' => '',
    'settings' => array(
      'rows'=> 6
    ),
    'type' => 'textarea'
  );
$options[] = array(
    'name' => '文章评论下',
    'id' => 'ad_post_comment_s',
    'std'=> false,
    'desc' => '开启',
    'type' => 'checkbox'
  );
$options[] = array(
    'desc' => '可添加广告联盟代码或自定义代码',
    'id' => 'ad_post_comment',
    'std' => '',
    'settings' => array(
      'rows'=> 6
    ),
    'type' => 'textarea'
  );
$options[] = array(
    'name' => '下载页面',
    'id' => 'ad_erphpdown_s',
    'std'=> false,
    'desc' => '开启',
    'type' => 'checkbox'
  );
$options[] = array(
    'desc' => '可添加广告联盟代码或自定义代码',
    'id' => 'ad_erphpdown',
    'std' => '',
    'settings' => array(
      'rows'=> 6
    ),
    'type' => 'textarea'
  );
$options[] = array(
    'name' => '关于主题',
    'type' => 'heading'
  );
$options[] = array(
    'name' => '作者',
    'type' => 'info',
    'desc' => '<a href=\'https://www.mobanzhu.com\' target=\'_blank\'>源码社</a>'
  );
$options[] = array(
    'name' => '升级地址',
    'type' => 'info',
    'desc' => '<a href=\'https://www.nicedowns.com\' target=\'_blank\'>https://www.nicedowns.com</a>'
  );
$options[] = array(
    'name' => '关于作者',
    'type' => 'info',
    'desc' => '源码社 - 精品商业源码下载的媒体平台 www.nicedowns.com！'
  );
$options[] = array(
    'name' => '联系QQ',
    'type' => 'info',
    'desc' => '470000334（请直接说明来意，勿问在否。）'
  );
	return $options;
}