<?php  
add_action('widgets_init','unregister_mobantu_widget');
function unregister_mobantu_widget(){
    unregister_widget ('WP_Widget_Search');
    unregister_widget ('WP_Nav_Menu_Widget');
    unregister_widget ( 'WP_Widget_Calendar' );
	unregister_widget ( 'WP_Widget_Pages' );
	unregister_widget ( 'WP_Widget_Archives' );
	unregister_widget ( 'WP_Widget_Links' );
	unregister_widget ( 'WP_Widget_Meta' );
	unregister_widget ( 'WP_Widget_Text' );
	unregister_widget ( 'WP_Widget_Recent_Posts' );
	unregister_widget ( 'WP_Widget_Recent_Comments' );
	unregister_widget ( 'WP_Widget_RSS' );
	unregister_widget ( 'WP_Widget_Tag_Cloud' );
}



add_action( 'widgets_init', 'widget_tags_loader' );
function widget_tags_loader() {
	register_widget( 'widget_tags_loader' );
}

class widget_tags_loader extends WP_Widget {
	
	public function __construct() {
		$widget_ops = array( 
			'classname' => 'widget-tags',
			'description' => '显示热门标签',
		);
		parent::__construct( 'widget_tags_loader', 'Modown-标签云', $widget_ops );
	}

	public function widget( $args, $instance ) {
		extract( $args );

		$title = apply_filters('widget_name', $instance['title']);
		$count = $instance['count'];
		$offset = $instance['offset'];

		echo $before_widget;
		echo $before_title.$title.$after_title; 
		echo '<div class="items">';
		$tags_list = get_tags('orderby=count&order=DESC&number='.$count.'&offset='.$offset);
		if ($tags_list) { 
			foreach($tags_list as $tag) {
				echo '<a href="'.get_tag_link($tag).'">'. $tag->name .'</a>'; 
			} 
		}else{
			echo '暂无标签！';
		}
		echo '</div>';
		echo $after_widget;
	}

	public function form($instance) {
		$title = ! empty( $instance['title'] ) ? $instance['title'] : '热门标签';
?>
		<p>
			<label>
				名称：
				<input id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" class="widefat" />
			</label>
		</p>
		<p>
			<label>
				显示数量：
				<input id="<?php echo $this->get_field_id('count'); ?>" name="<?php echo $this->get_field_name('count'); ?>" type="number" value="<?php echo $instance['count']; ?>" class="widefat" />
			</label>
		</p>
		<p>
			<label>
				去除前几个：
				<input id="<?php echo $this->get_field_id('offset'); ?>" name="<?php echo $this->get_field_name('offset'); ?>" type="number" value="<?php echo $instance['offset']; ?>" class="widefat" />
			</label>
		</p>
		
<?php
	}
}



add_action( 'widgets_init', 'widget_ads_loader' );
function widget_ads_loader() {
	register_widget( 'widget_ads' );
}

class widget_ads extends WP_Widget {
	
	public function __construct() {
		$widget_ops = array( 
			'classname' => 'widget-text',
			'description' => '显示一个广告(包括富媒体)',
		);
		parent::__construct( 'widget_ads', 'Modown-广告', $widget_ops );
	}

	public function widget( $args, $instance ) {
		extract( $args );
		$title = apply_filters('widget_name', $instance['title']);
		$code = $instance['code'];
		$nopadding = isset($instance['nopadding']) ? $instance['nopadding'] : '';

		if($nopadding)
			echo '<div class="widget widget-text nopadding">';
		else
			echo $before_widget;
		if($title) echo $before_title.$title.$after_title; 
		echo $code;
		echo $after_widget;
	}

	public function form($instance) {
		$title = ! empty( $instance['title'] ) ? $instance['title'] : '';
		$code = ! empty( $instance['code'] ) ? $instance['code'] : '这里输入广告代码' ;
?>
	    <p>
			<label>
				名称：
				<input id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" class="widefat" />
			</label>
		</p>
		<p>
			<label>
				广告代码：
				<textarea id="<?php echo $this->get_field_id('code'); ?>" name="<?php echo $this->get_field_name('code'); ?>" class="widefat" rows="12" style="font-family:Courier New;"><?php echo $code; ?></textarea>
			</label>
		</p>
		<p>
			<label>
				<input style="vertical-align:-3px;margin-right:4px;" class="checkbox" type="checkbox" <?php checked( $instance['nopadding'], 'on' ); ?> id="<?php echo $this->get_field_id('nopadding'); ?>" name="<?php echo $this->get_field_name('nopadding'); ?>">No padding（无边距）
			</label>
		</p>
<?php
	}
}

add_action( 'widgets_init', 'widget_bottom_loader' );
function widget_bottom_loader() {
	register_widget( 'widget_bottom' );
}

class widget_bottom extends WP_Widget {
	
	public function __construct() {
		$widget_ops = array( 
			'classname' => 'widget-bottom',
			'description' => '网站底部内容',
		);
		parent::__construct( 'widget_bottom', 'Modown-底部', $widget_ops );
	}

	public function widget( $args, $instance ) {
		extract( $args );
		$title = apply_filters('widget_name', $instance['title']);
		$code = $instance['code'];

		echo $before_widget;
		echo $before_title.$title.$after_title; 
		echo '<div class="footer-widget-content">'.$code.'</div>';
		echo $after_widget;
	}

	public function form($instance) {
		$title = ! empty( $instance['title'] ) ? $instance['title'] : '文本标题';
		$code = ! empty( $instance['code'] ) ? $instance['code'] : '这里输入代码' ;
?>
	    <p>
			<label>
				名称：
				<input id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" class="widefat" />
			</label>
		</p>
		<p>
			<label>
				代码：
				<textarea id="<?php echo $this->get_field_id('code'); ?>" name="<?php echo $this->get_field_name('code'); ?>" class="widefat" rows="12" style="font-family:Courier New;"><?php echo $code; ?></textarea>
			</label>
		</p>
<?php
	}
}


add_action( 'widgets_init', 'widget_postlist_loader' );
function widget_postlist_loader() {
	register_widget( 'widget_postlist' );
}

class widget_postlist extends WP_Widget {
	
	public function __construct() {
		$widget_ops = array( 
			'classname' => 'widget-postlist',
			'description' => '最新文章+热评文章+随机文章+推荐文章',
		);
		parent::__construct( 'widget_postlist', 'Modown-文章列表', $widget_ops );
	}

	public function widget( $args, $instance ) {
		extract( $args );

		$title        = apply_filters('widget_name', $instance['title']);
		$limit        = $instance['limit'];
		$cat          = $instance['cat'];
		$orderby      = $instance['orderby'];
		$img = isset($instance['img']) ? $instance['img'] : '';

		echo $before_widget;
		echo $before_title.$title.$after_title.'<ul'.($img?' class="hasimg"':'').'>';
		if($orderby == 'recommend'){
			$args = array(
			  'order'            => 'DESC',
			  'orderby'          => 'date',
			  'cat'              => $cat,
			  'meta_query' => array(array('key'=>'down_recommend','value'=>'1')),
			  'showposts'        => $limit,
			  'ignore_sticky_posts' => 1
			);
		}else{
			$args = array(
				'order'            => 'DESC',
				'cat'              => $cat,
				'orderby'          => $orderby,
				'showposts'        => $limit,
				'ignore_sticky_posts' => 1
			);
		}
		query_posts($args);
		while (have_posts()) : the_post(); 
		?>
        <li>
          <?php if($img){?>
          <a href="<?php the_permalink();?>" title="<?php the_title();?>" target="_blank" rel="bookmark" class="img">
		    <img src="<?php echo MBThemes_thumbnail(66,66,0);?>" class="thumb" alt="<?php the_title();?>">
		  </a>
		  <?php }?>
          <h4><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h4>
          <p class="meta">
          	<?php if(_MBT('post_date')){?><span class="time"><?php echo MBThemes_timeago( get_gmt_from_date(get_the_time('Y-m-d G:i:s')) ) ?></span><?php }?>
          	<?php if(_MBT('post_views')){?><span><i class="dripicons dripicons-preview"></i> <?php MBThemes_views();?></span><?php }?>
          	<?php 
		    $start_down=get_post_meta(get_the_ID(), 'start_down', true);
		    $price=get_post_meta(get_the_ID(), 'down_price', true);
		    $memberDown=get_post_meta(get_the_ID(), 'member_down',TRUE);
		    if($start_down && !_MBT('post_price')){
		    	echo '<span class="price">';
			    if($memberDown == '4') echo '<i class="dripicons dripicons-ticket"></i> VIP专享';
			    elseif($price) echo '<i class="dripicons dripicons-ticket"></i> '.$price.' '.get_option("ice_name_alipay");
			    else echo '<i class="dripicons dripicons-ticket"></i> 免费';
			    echo '</span>';
			}
		    ?>
          </p>
        </li>
		<?php
		endwhile; wp_reset_query();
		echo '</ul>';
		echo $after_widget;
	}

	public function form( $instance ) {
		$title = ! empty( $instance['title'] ) ? $instance['title'] : '最新文章' ;
?>
		<p>
			<label>
				标题：
				<input style="width:100%;" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
			</label>
		</p>
		<p>
			<label>
				排序：
				<select style="width:100%;" id="<?php echo $this->get_field_id('orderby'); ?>" name="<?php echo $this->get_field_name('orderby'); ?>" style="width:100%;">
                	<option value="recommend" <?php selected('recommend', $instance['orderby']); ?>>推荐</option>
					<option value="comment_count" <?php selected('comment_count', $instance['orderby']); ?>>评论数</option>
					<option value="date" <?php selected('date', $instance['orderby']); ?>>发布时间</option>
					<option value="rand" <?php selected('rand', $instance['orderby']); ?>>随机</option>
				</select>
			</label>
		</p>
		<p>
			<label>
				分类限制：
				<a style="font-weight:bold;color:#f60;text-decoration:none;" href="javascript:;" title="格式：1,2 &nbsp;表限制ID为1,2分类的文章&#13;格式：-1,-2 &nbsp;表排除分类ID为1,2的文章&#13;也可直接写1或者-1；注意逗号须是英文的">？</a>
				<input style="width:100%;" id="<?php echo $this->get_field_id('cat'); ?>" name="<?php echo $this->get_field_name('cat'); ?>" type="text" value="<?php echo $instance['cat']; ?>" size="24" />
			</label>
		</p>
		<p>
			<label>
				显示数目：
				<input style="width:100%;" id="<?php echo $this->get_field_id('limit'); ?>" name="<?php echo $this->get_field_name('limit'); ?>" type="number" value="<?php echo $instance['limit']; ?>" size="24" />
			</label>
		</p>
		<p>
			<label>
				<input style="vertical-align:-3px;margin-right:4px;" class="checkbox" type="checkbox" <?php checked( $instance['img'], 'on' ); ?> id="<?php echo $this->get_field_id('img'); ?>" name="<?php echo $this->get_field_name('img'); ?>">显示图片
			</label>
		</p>
		
	<?php
	}
}

add_action( 'widgets_init', 'widget_posttoplist_loader' );
function widget_posttoplist_loader() {
	register_widget( 'widget_posttoplist' );
}

class widget_posttoplist extends WP_Widget {
	
	public function __construct() {
		$widget_ops = array( 
			'classname' => 'widget-postlist widget-toplist',
			'description' => '下载排行榜，需安装erphpdown插件',
		);
		parent::__construct( 'widget_posttoplist', 'Modown-下载排行', $widget_ops );
	}

	public function widget( $args, $instance ) {
		extract( $args );

		$title        = apply_filters('widget_name', $instance['title']);
		$limit        = $instance['limit'];
		$caton        = $instance['cat'];

		echo $before_widget;
		echo $before_title.$title.$after_title.'<ul>';

		if($caton && is_single()){
			$categories = get_the_category(); 
			$cid = $categories[0]->term_id;
		    foreach($categories as $cate){
		        $children = get_term_children( $cate->term_id , 'category');
		        if ( count($children) == '0') {
		            $cid = $cate->term_id;
		        }
		    }
			
			$args = array(
			  'order'            => 'DESC',
			  'orderby'          => 'meta_value_num',
			  'meta_key'         => 'down_times',
			  'cat'              => $cid,
			  'showposts'        => $limit,
			  'ignore_sticky_posts' => 1
			);
		}else{
			$args = array(
			  'order'            => 'DESC',
			  'orderby'          => 'meta_value_num',
			  'meta_key'         => 'down_times',
			  'showposts'        => $limit,
			  'ignore_sticky_posts' => 1
			);
		}

		query_posts($args);
		$i = 1;
		while (have_posts()) : the_post(); 
			$start_down=get_post_meta(get_the_ID(), 'start_down', true);
		    $price=get_post_meta(get_the_ID(), 'down_price', true);
		    $memberDown=get_post_meta(get_the_ID(), 'member_down',TRUE);
		    $down_times=get_post_meta(get_the_ID(), 'down_times',TRUE);
		?>
        <li>
        	<span class="sort"><?php echo $i;?></span>
          <h4><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h4>
          <p class="meta">
          	<span class="downloads"><i class="dripicons dripicons-download"></i> <?php echo $down_times?$down_times:'0';?></span>
          	<?php if(_MBT('post_views')){?><span class="views"><i class="dripicons dripicons-preview"></i> <?php MBThemes_views();?></span><?php }?>
          	<?php 
		    if($start_down && !_MBT('post_price')){
		    	echo '<span class="price">';
			    if($memberDown == '4') echo '<i class="dripicons dripicons-ticket"></i> VIP专享';
			    elseif($price) echo '<i class="dripicons dripicons-ticket"></i> '.$price.' '.get_option("ice_name_alipay");
			    else echo '<i class="dripicons dripicons-ticket"></i> 免费';
			    echo '</span>';
			}
		    ?>
          </p>
        </li>
		<?php
		$i++;
		endwhile; wp_reset_query();
		echo '</ul>';
		echo $after_widget;
	}

	public function form( $instance ) {
		$title = ! empty( $instance['title'] ) ? $instance['title'] : '最新文章' ;
?>
		<p>
			<label>
				标题：
				<input style="width:100%;" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
			</label>
		</p>
		<p>
			<label>
				显示数目：
				<input style="width:100%;" id="<?php echo $this->get_field_id('limit'); ?>" name="<?php echo $this->get_field_name('limit'); ?>" type="number" value="<?php echo $instance['limit']; ?>" size="24" />
			</label>
		</p>
		<p>
			<label>
				<input style="vertical-align:-3px;margin-right:4px;" class="checkbox" type="checkbox" <?php checked( $instance['cat'], 'on' ); ?> id="<?php echo $this->get_field_id('cat'); ?>" name="<?php echo $this->get_field_name('cat'); ?>">文章页显示当前分类排行
			</label>
		</p>
	<?php
	}
}


add_action( 'widgets_init', 'widget_bloglist_loader' );
function widget_bloglist_loader() {
	register_widget( 'widget_bloglist' );
}

class widget_bloglist extends WP_Widget {
	
	public function __construct() {
		$widget_ops = array( 
			'classname' => 'widget-postlist widget-bloglist',
			'description' => '最新博客+热评博客+随机博客',
		);
		parent::__construct( 'widget_bloglist', 'Modown-博客列表', $widget_ops );
	}

	public function widget( $args, $instance ) {
		extract( $args );

		$title        = apply_filters('widget_name', $instance['title']);
		$limit        = $instance['limit'];
		$orderby      = $instance['orderby'];

		echo $before_widget;
		echo $before_title.$title.$after_title.'<ul>';

		$args = array(
			'post_type'        => 'blog',
			'order'            => 'DESC',
			'orderby'          => $orderby,
			'showposts'        => $limit,
			'ignore_sticky_posts' => 1
		);
		
		query_posts($args);
		while (have_posts()) : the_post(); 
		?>
        <li>
          <h4><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h4>
          <p class="meta">
          	<?php if(_MBT('post_date')){?><span class="time"><i class="dripicons dripicons-clock"></i> <?php echo MBThemes_timeago( get_gmt_from_date(get_the_time('Y-m-d G:i:s')) ) ?></span><?php }?><?php if(_MBT('post_views')){?><span class="views"><i class="dripicons dripicons-preview"></i> <?php MBThemes_views();?></span><?php }?>
          </p>
        </li>
		<?php
		endwhile; wp_reset_query();
		echo '</ul>';
		echo $after_widget;
	}

	public function form( $instance ) {
		$title = ! empty( $instance['title'] ) ? $instance['title'] : '最新博客' ;
?>
		<p>
			<label>
				标题：
				<input style="width:100%;" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
			</label>
		</p>
		<p>
			<label>
				排序：
				<select style="width:100%;" id="<?php echo $this->get_field_id('orderby'); ?>" name="<?php echo $this->get_field_name('orderby'); ?>" style="width:100%;">
					<option value="comment_count" <?php selected('comment_count', $instance['orderby']); ?>>评论数</option>
					<option value="date" <?php selected('date', $instance['orderby']); ?>>发布时间</option>
					<option value="rand" <?php selected('rand', $instance['orderby']); ?>>随机</option>
				</select>
			</label>
		</p>
		<p>
			<label>
				显示数目：
				<input style="width:100%;" id="<?php echo $this->get_field_id('limit'); ?>" name="<?php echo $this->get_field_name('limit'); ?>" type="number" value="<?php echo $instance['limit']; ?>" size="24" />
			</label>
		</p>
		
	<?php
	}
}


add_action( 'widgets_init', 'widget_comment_loader' );

function widget_comment_loader() {
	register_widget( 'widget_commentlist' );
}

class widget_commentlist extends WP_Widget {
	
	public function __construct() {
		$widget_ops = array( 
			'classname' => 'widget-commentlist',
			'description' => '边侧栏显示网友最新评论',
		);
		parent::__construct( 'widget_commentlist', 'Modown-评论', $widget_ops );
	}

	public function widget( $args, $instance ) {
		extract( $args );

		$title = apply_filters('widget_name', $instance['title']);
		$not = $instance['not'];
		$limit = $instance['limit'];
		
		echo $before_widget;
		echo $before_title.$title.$after_title; 
		echo '<div>'.mowidget_comments($limit,$not).'</div>';
		echo $after_widget;
	}

	public function form($instance) {
		$title = ! empty( $instance['title'] ) ? $instance['title'] : '网友评论' ;
?>
		<p>
			<label>
				标题：
				<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
			</label>
		</p>
        <p>
			<label>
				排除用户IDs：
				<input class="widefat" id="<?php echo $this->get_field_id('not'); ?>" name="<?php echo $this->get_field_name('not'); ?>" type="text" value="<?php echo $instance['not']; ?>" />
			</label>
		</p>
		<p>
			<label>
				显示数目：
				<input class="widefat" id="<?php echo $this->get_field_id('limit'); ?>" name="<?php echo $this->get_field_name('limit'); ?>" type="number" value="<?php echo $instance['limit']; ?>" />
			</label>
		</p>

<?php
	}
}

function mowidget_comments($limit,$not){
	global $wpdb;
	$output = '';
	$commargs = array('number' => $limit, 'author__not_in' => $not);
	$comments = get_comments($commargs);
	foreach ( $comments as $comment ) {
		if($comment->comment_approved == '1'){
			$author = $comment->comment_author;
			if($comment->user_id){
				$author = get_user_by('ID',$comment->user_id)->nickname;
			}
			if(modown_check_vip($comment->user_id)) $author .= '<span class="is-vip" title="VIP用户"><i class="dripicons dripicons-jewel"></i></span>';
			$output .='<div class="comment-item comment-'.$comment->comment_ID.'">
			      <div class="postmeta">'.$author.' • '.MBThemes_timeago( get_comment_date('Y-m-d G:i:s',$comment->comment_ID) ).'</div>
			      <div class="sidebar-comments-comment">'.do_shortcode(convert_smilies(strip_tags($comment->comment_content))).'</div>
			      <div class="sidebar-comments-title">
			        <p>来源：<a href="'.get_permalink($comment->comment_post_ID).'">'.$comment->post_title.'</a></p>
			      </div>
			    </div>';
		}
	}
	
	return $output;
}
